[Scipy-svn] r4815 - trunk/tools/win32/build_scripts

scipy-svn@scip... scipy-svn@scip...
Tue Oct 21 02:36:40 CDT 2008


Author: cdavid
Date: 2008-10-21 02:36:36 -0500 (Tue, 21 Oct 2008)
New Revision: 4815

Modified:
   trunk/tools/win32/build_scripts/pavement.py
Log:
Better error checking when running scipy setup.py from paver.

Modified: trunk/tools/win32/build_scripts/pavement.py
===================================================================
--- trunk/tools/win32/build_scripts/pavement.py	2008-10-21 07:26:04 UTC (rev 4814)
+++ trunk/tools/win32/build_scripts/pavement.py	2008-10-21 07:36:36 UTC (rev 4815)
@@ -128,12 +128,15 @@
 
     try:
         try:
-            subprocess.call(cmd, #shell = True, 
+            st = subprocess.call(cmd, #shell = True, 
                             stderr = subprocess.STDOUT, stdout = f,
                             cwd=bdir)
+            if st:
+                raise RuntimeError("The cmd failed with status %d" % st)
         finally:
             f.close()
-    except subprocess.CalledProcessError, e:
+    except (subprocess.CalledProcessError, RuntimeError), e:
+        print e
         msg = """
 There was an error while executing the following command:
 
@@ -146,6 +149,14 @@
 
     move_binary(arch, pyver, bdir, scipy_verstr)
 
+@task
+@needs('build_binary')
+@needs('bootstrap_arch')
+@needs('bootstrap_nsis')
+@needs('bootstrap')
+@needs('clean')
+def build_all():
+    pass
 # Helpers
 def set_bootstrap_sources(arch, pyver):
     bdir = bootstrap_dir(pyver)



More information about the Scipy-svn mailing list